Set size overrides
- PUT /deployments/{deployment_id}/{resource_kind}/{ref_id}/instances/{instance_ids}/overrides
Applies size overrides for the given instances belonging to the given resource. Instance size overrides will be reset with the next plan change.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment.
-
resource_kindstringrequired -
The kind of resource. Only Elasticsearch resources are currently supported.
-
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one).
-
instance_idsstringrequired -
A comma-separated list of instance identifiers.
Query Parameters
-
restart_after_updateboolean · default: false After overrides are set, restarts the instance to apply the changes.
-
ignore_missingboolean · default: false When
falseand a specified instance is missing, will return an error and not update any instances. Whentruewill update only existing instances and not treat a missing instance as an error.
Request
The overrides to apply to the given instances. Capacity overrides the RAM size in MB of the instance, and storage multipler overrides the multiplier of the instance RAM size that determines the storage quota of the instance. Capacity must be in the range [1024, <<instance configuration max increment, typically 65536>>] and storage multiplier must be in the range [1.0, 1000.0].
-
capacityinteger -
Sets the memory capacity for the instances container. Requires a restart to take effect.
-
storage_multipliernumber -
Overrides the disk quota multiplier for the instance
Responses
The updated overrides
-
capacityinteger -
Sets the memory capacity for the instances container. Requires a restart to take effect.
-
storage_multipliernumber -
Overrides the disk quota multiplier for the instance
- The deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot by found. (code:
deployments.deployment_resource_not_found) - One or more instances weren't found, and
ignore_missingis false or unspecified. (code:deployments.instances_missing_on_update_error) - The specified override was out of range. Capacity must be in the range [1024, <<instance configuration max increment, typically 65536>>] and storage multiplier must be in the range [1.0, 1000.0]. (code:
instance_overrides.out_of_range)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response